--- title: "Get export history" slug: "analytics-cloudloganalytics-getexporthistory" tags: ["Cloud Log Analytics"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/analytics-cloudloganalytics-getexporthistory" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get export history Available in Classic and VPC Get the history of exporting logs retrieved from the Cloud Log Analytics service to Object Storage. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/{regionCode}-v1/export/history | ### Request headers For information about the headers common to all Cloud Log Analytics APIs, see [Cloud Log Analytics request headers](/docs/en/analytics-cloudloganalytics#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Required | Region code - `kr` \| `sgn` \| `jpn` \| `uswn` \| `den` - `kr`: Korea Region - `sgn`: Singapore Region - `jpn`: Japan Region - `uswn`: US West Region - `den`: Germany Region | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-100 (default: 1) | | `pageSize` | Integer | Optional | Number of items per page - 20-100 (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cloudloganalytics.apigw.ntruss.com/api/{regionCode}-v1/export/history' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response status codes | | `message` | String | - | Response status message | | `result` | Object | - | Response result | | `result.pageSize` | Integer | - | Number of items per page | | `result.currentPage` | Integer | - | Current page number | | `result.totalPage` | Integer | - | Total page number | | `result.totalCount` | Integer | - | Total item count | | `result.isPaged` | Boolean | - | Whether additional pages exist - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `result.exporthistoryInfo` | Array | - | Export history: [exporthistoryInfo](/docs/en/analytics-cloudloganalytics-getexporthistory#exporthistoryInfo) | ### `exporthistoryInfo` The following describes `exporthistoryInfo`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `start_ymdt` | Integer | - | Export date and time | | `export_types` | String | - | Export type | | `regionNo` | Integer | - | Region number | | `bucketname` | String | - | Object Storage's bucket name | | `folderName` | String | - | Folder name | | `log_types` | String | - | Export log type | | `status` | String | - | Export progress status | | `progress` | String | - | Export progress (%) | | `description` | String | - | Object Storage's bucket name | | `jobId` | String | - | Task ID | | `allLogTypesNo` | Integer | - | Automatic export log type | | `allLogFilesNo` | Integer | - | Automatic export total file count | | `errorLogFilesNo` | Integer | - | Automatic export failed log count | | `successLogTypes` | String | - | Automatic export succeeded log type | | `errorLogTypes` | String | - | Automatic export failed log type | ### Response status codes For information about the HTTP status codes common to all Cloud Log Analytics APIs, see [Cloud Log Analytics response status codes](/docs/en/analytics-cloudloganalytics#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "The request has been successfully processed.", "result": { "pageSize": 10, "currentPage": 1, "totalPage": 105, "totalCount": 1043, "isPaged": true, "exporthistoryInfo": [ { "jobId": "9s0FBfTwCVHSSCjx", "start_ymdt": "2025-09-09 02:00:18", "export_types": "Auto", "regionNo": "1", "bucketName": "catalog", "folderName": "CLA/AutoExport/2025/09/08/", "log_types": "SYSLOG,cdb_mysql_error,cdb_mysql_slow,kube-audit", "status": "Complete", "progress": 100, "description": "", "allLogTypesNo": 4, "allLogFilesNo": 51, "errorLogFilesNo": 0, "successLogTypes": [ "cdb_mysql_error", "kube-audit", "SYSLOG", "cdb_mysql_slow" ], "errorLogTypes": [] }, { "jobId": "ykF6VTbRtAW4Zhj9", "start_ymdt": "2025-09-08 02:00:18", "export_types": "Auto", "regionNo": "1", "bucketName": "catalog", "folderName": "CLA/AutoExport/2025/09/07/", "log_types": "SYSLOG,cdb_mysql_error,cdb_mysql_slow,kube-audit", "status": "Complete", "progress": 100, "description": "", "allLogTypesNo": 4, "allLogFilesNo": 52, "errorLogFilesNo": 0, "successLogTypes": [ "cdb_mysql_error", "kube-audit", "SYSLOG", "cdb_mysql_slow" ], "errorLogTypes": [] }, { "jobId": "CRFUy2QFGQMiwkxE", "start_ymdt": "2025-09-07 02:00:18", "export_types": "Auto", "regionNo": "1", "bucketName": "catalog", "folderName": "CLA/AutoExport/2025/09/06/", "log_types": "SYSLOG,cdb_mysql_error,cdb_mysql_slow,kube-audit", "status": "Complete", "progress": 100, "description": "", "allLogTypesNo": 4, "allLogFilesNo": 50, "errorLogFilesNo": 0, "successLogTypes": [ "cdb_mysql_error", "kube-audit", "SYSLOG", "cdb_mysql_slow" ], "errorLogTypes": [] }, { "jobId": "D7wHFgcFIOyJ7fDB", "start_ymdt": "2025-09-06 02:00:18", "export_types": "Auto", "regionNo": "1", "bucketName": "catalog", "folderName": "CLA/AutoExport/2025/09/05/", "log_types": "SYSLOG,cdb_mysql_error,cdb_mysql_slow,kube-audit", "status": "Complete", "progress": 100, "description": "", "allLogTypesNo": 4, "allLogFilesNo": 50, "errorLogFilesNo": 0, "successLogTypes": [ "cdb_mysql_error", "kube-audit", "SYSLOG", "cdb_mysql_slow" ], "errorLogTypes": [] }, { "jobId": "Uar6RwoJmuW6lFCg", "start_ymdt": "2025-09-05 02:00:18", "export_types": "Auto", "regionNo": "1", "bucketName": "catalog", "folderName": "CLA/AutoExport/2025/09/04/", "log_types": "SYSLOG,cdb_mysql_error,cdb_mysql_slow,kube-audit", "status": "Complete", "progress": 100, "description": "", "allLogTypesNo": 4, "allLogFilesNo": 51, "errorLogFilesNo": 0, "successLogTypes": [ "cdb_mysql_error", "kube-audit", "SYSLOG", "cdb_mysql_slow" ], "errorLogTypes": [] }, { "jobId": "nl1dBPzM0k4vTOW5", "start_ymdt": "2025-09-04 02:00:18", "export_types": "Auto", "regionNo": "1", "bucketName": "catalog", "folderName": "CLA/AutoExport/2025/09/03/", "log_types": "SYSLOG,cdb_mysql_error,cdb_mysql_slow,kube-audit", "status": "Complete", "progress": 100, "description": "", "allLogTypesNo": 4, "allLogFilesNo": 51, "errorLogFilesNo": 0, "successLogTypes": [ "cdb_mysql_error", "kube-audit", "SYSLOG", "cdb_mysql_slow" ], "errorLogTypes": [] }, { "jobId": "v9phT2yVW7YgA3X2", "start_ymdt": "2025-09-03 02:00:18", "export_types": "Auto", "regionNo": "1", "bucketName": "catalog", "folderName": "CLA/AutoExport/2025/09/02/", "log_types": "SYSLOG,cdb_mysql_error,cdb_mysql_slow,kube-audit", "status": "Complete", "progress": 100, "description": "", "allLogTypesNo": 4, "allLogFilesNo": 50, "errorLogFilesNo": 0, "successLogTypes": [ "cdb_mysql_error", "kube-audit", "SYSLOG", "cdb_mysql_slow" ], "errorLogTypes": [] }, { "jobId": "yddWmrDoazQpjxeo", "start_ymdt": "2025-09-02 02:00:18", "export_types": "Auto", "regionNo": "1", "bucketName": "catalog", "folderName": "CLA/AutoExport/2025/09/01/", "log_types": "SYSLOG,cdb_mysql_error,cdb_mysql_slow,kube-audit", "status": "Complete", "progress": 100, "description": "", "allLogTypesNo": 4, "allLogFilesNo": 50, "errorLogFilesNo": 0, "successLogTypes": [ "cdb_mysql_error", "kube-audit", "SYSLOG", "cdb_mysql_slow" ], "errorLogTypes": [] }, { "jobId": "M3XaEcVkZPVHLsCE", "start_ymdt": "2025-09-01 02:00:18", "export_types": "Auto", "regionNo": "1", "bucketName": "catalog", "folderName": "CLA/AutoExport/2025/08/31/", "log_types": "SYSLOG,cdb_mysql_error,cdb_mysql_slow,kube-audit", "status": "Complete", "progress": 100, "description": "", "allLogTypesNo": 4, "allLogFilesNo": 50, "errorLogFilesNo": 0, "successLogTypes": [ "cdb_mysql_error", "kube-audit", "SYSLOG", "cdb_mysql_slow" ], "errorLogTypes": [] }, { "jobId": "pI1lbXNCESmff4X2", "start_ymdt": "2025-08-31 02:00:19", "export_types": "Auto", "regionNo": "1", "bucketName": "catalog", "folderName": "CLA/AutoExport/2025/08/30/", "log_types": "SYSLOG,cdb_mysql_error,cdb_mysql_slow,kube-audit", "status": "Complete", "progress": 100, "description": "", "allLogTypesNo": 4, "allLogFilesNo": 50, "errorLogFilesNo": 0, "successLogTypes": [ "cdb_mysql_error", "kube-audit", "SYSLOG", "cdb_mysql_slow" ], "errorLogTypes": [] } ] } } ```